#ifndef __PW_SCREENS_H__
#define __PW_SCREENS_H__

// pw
#include "pw_defs.h"


//----------------------------------------------------------------------------//
// Typedefs                                                                   //
//----------------------------------------------------------------------------//
typedef void (*ScreenRunFunc_t )();


//----------------------------------------------------------------------------//
// Vars                                                                       //
//----------------------------------------------------------------------------//
extern ScreenRunFunc_t Screen_RunFunc;


//----------------------------------------------------------------------------//
// Functions                                                                  //
//----------------------------------------------------------------------------//
// @NOTICE(stdmatt): Needs to be defined in game
void Screen_Change(U8 screen);

#define Screen_Update() \
    Screen_RunFunc();

#endif // __PW_SCREENS_H__
